Bug 1234856 - Overcloud: Overcloud deployment fails with ERROR: openstack plan_uuid
Summary: Overcloud: Overcloud deployment fails with ERROR: openstack plan_uuid
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director
Version: Director
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ga
: Director
Assignee: Dougal Matthews
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-23 11:53 UTC by Leonid Natapov
Modified: 2015-08-05 13:55 UTC (History)
9 users (show)

Fixed In Version: python-rdomanager-oscplugin-0.0.8-6.el7ost
Doc Type: Bug Fix
Doc Text:
Previously, an error in the name of the 'management_plan.uuid' variable led to attribute errors that would cause all deployments of Tuskar plans to fail. With this update, this variable name has now been corrected.
Clone Of:
Environment:
Last Closed: 2015-08-05 13:55:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:1549 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform director Release 2015-08-05 17:49:10 UTC

Description Leonid Natapov 2015-06-23 11:53:44 UTC
python-rdomanager-oscplugin-0.0.8-4.el7ost.noarch


Overcloud: Overcloud deployment fails with ERROR: openstack plan_uuid

Here is the error I get:

Checking the UUID first:
-------------------------

[stack@puma42 ~]$ openstack management plan list
+--------------------------------------+-----------+-------------+------------------------------------------------------------------+
| uuid                                 | name      | description | roles                                                            |
+--------------------------------------+-----------+-------------+------------------------------------------------------------------+
| c6612182-e831-4af9-a37f-bd26ec8b35df | overcloud | None        | Compute, Ceph-Storage, Cinder-Storage, Controller, Swift-Storage |
+--------------------------------------+-----------+-------------+------------------------------------------------------------------+
Executing the deployment command
----------------------------------

[stack@puma42 ~]$ openstack overcloud deploy --plan-uuid c6612182-e831-4af9-a37f-bd26ec8b35df --control-scale 3 
ERROR: openstack plan_uuid
[stack@puma42 ~]$ 

Here is the debug of the deploy command:
[stack@puma42 ~]$ openstack overcloud deploy --plan-uuid c6612182-e831-4af9-a37f-bd26ec8b35df --control-scale 1 -e /home/stack/extra_config --debug
DEBUG: cliff.commandmanager found command 'hypervisor_stats_show'
DEBUG: cliff.commandmanager found command 'security_group_create'
DEBUG: cliff.commandmanager found command 'security_group_rule_list'
DEBUG: cliff.commandmanager found command 'ip_floating_add'
DEBUG: cliff.commandmanager found command 'keypair_list'
DEBUG: cliff.commandmanager found command 'flavor_unset'
DEBUG: cliff.commandmanager found command 'host_show'
DEBUG: cliff.commandmanager found command 'host_list'
DEBUG: cliff.commandmanager found command 'hypervisor_show'
DEBUG: cliff.commandmanager found command 'server_pause'
DEBUG: cliff.commandmanager found command 'server_reboot'
DEBUG: cliff.commandmanager found command 'server_migrate'
DEBUG: cliff.commandmanager found command 'server_set'
DEBUG: cliff.commandmanager found command 'server_add_security_group'
DEBUG: cliff.commandmanager found command 'server_unrescue'
DEBUG: cliff.commandmanager found command 'usage_list'
DEBUG: cliff.commandmanager found command 'keypair_show'
DEBUG: cliff.commandmanager found command 'security_group_set'
DEBUG: cliff.commandmanager found command 'compute_agent_create'
DEBUG: cliff.commandmanager found command 'server_rescue'
DEBUG: cliff.commandmanager found command 'console_log_show'
DEBUG: cliff.commandmanager found command 'compute_agent_delete'
DEBUG: cliff.commandmanager found command 'server_ssh'
DEBUG: cliff.commandmanager found command 'server_lock'
DEBUG: cliff.commandmanager found command 'server_unset'
DEBUG: cliff.commandmanager found command 'server_show'
DEBUG: cliff.commandmanager found command 'server_suspend'
DEBUG: cliff.commandmanager found command 'server_add_volume'
DEBUG: cliff.commandmanager found command 'server_image_create'
DEBUG: cliff.commandmanager found command 'flavor_list'
DEBUG: cliff.commandmanager found command 'server_remove_volume'
DEBUG: cliff.commandmanager found command 'compute_agent_set'
DEBUG: cliff.commandmanager found command 'aggregate_add_host'
DEBUG: cliff.commandmanager found command 'aggregate_remove_host'
DEBUG: cliff.commandmanager found command 'compute_service_set'
DEBUG: cliff.commandmanager found command 'aggregate_create'
DEBUG: cliff.commandmanager found command 'keypair_create'
DEBUG: cliff.commandmanager found command 'ip_floating_list'
DEBUG: cliff.commandmanager found command 'aggregate_delete'
DEBUG: cliff.commandmanager found command 'flavor_set'
DEBUG: cliff.commandmanager found command 'security_group_rule_create'
DEBUG: cliff.commandmanager found command 'security_group_delete'
DEBUG: cliff.commandmanager found command 'server_rebuild'
DEBUG: cliff.commandmanager found command 'flavor_delete'
DEBUG: cliff.commandmanager found command 'server_delete'
DEBUG: cliff.commandmanager found command 'project_usage_list'
DEBUG: cliff.commandmanager found command 'availability_zone_list'
DEBUG: cliff.commandmanager found command 'hypervisor_list'
DEBUG: cliff.commandmanager found command 'flavor_create'
DEBUG: cliff.commandmanager found command 'console_url_show'
DEBUG: cliff.commandmanager found command 'ip_fixed_add'
DEBUG: cliff.commandmanager found command 'server_remove_security_group'
DEBUG: cliff.commandmanager found command 'usage_show'
DEBUG: cliff.commandmanager found command 'compute_agent_list'
DEBUG: cliff.commandmanager found command 'flavor_show'
DEBUG: cliff.commandmanager found command 'ip_fixed_remove'
DEBUG: cliff.commandmanager found command 'ip_floating_create'
DEBUG: cliff.commandmanager found command 'server_list'
DEBUG: cliff.commandmanager found command 'server_create'
DEBUG: cliff.commandmanager found command 'ip_floating_pool_list'
DEBUG: cliff.commandmanager found command 'aggregate_show'
DEBUG: cliff.commandmanager found command 'security_group_show'
DEBUG: cliff.commandmanager found command 'keypair_delete'
DEBUG: cliff.commandmanager found command 'server_resize'
DEBUG: cliff.commandmanager found command 'security_group_rule_delete'
DEBUG: cliff.commandmanager found command 'ip_floating_delete'
DEBUG: cliff.commandmanager found command 'ip_floating_remove'
DEBUG: cliff.commandmanager found command 'security_group_list'
DEBUG: cliff.commandmanager found command 'server_resume'
DEBUG: cliff.commandmanager found command 'aggregate_set'
DEBUG: cliff.commandmanager found command 'aggregate_list'
DEBUG: cliff.commandmanager found command 'server_unpause'
DEBUG: cliff.commandmanager found command 'compute_service_list'
DEBUG: cliff.commandmanager found command 'server_unlock'
DEBUG: openstackclient.shell compute API version 2, cmd group openstack.compute.v2
DEBUG: cliff.commandmanager found command 'network_set'
DEBUG: cliff.commandmanager found command 'network_delete'
DEBUG: cliff.commandmanager found command 'network_list'
DEBUG: cliff.commandmanager found command 'network_show'
DEBUG: cliff.commandmanager found command 'network_create'
DEBUG: openstackclient.shell network API version 2, cmd group openstack.network.v2
DEBUG: cliff.commandmanager found command 'image_set'
DEBUG: cliff.commandmanager found command 'image_delete'
DEBUG: cliff.commandmanager found command 'image_create'
DEBUG: cliff.commandmanager found command 'image_list'
DEBUG: cliff.commandmanager found command 'image_show'
DEBUG: cliff.commandmanager found command 'image_save'
DEBUG: openstackclient.shell image API version 1, cmd group openstack.image.v1
DEBUG: cliff.commandmanager found command 'snapshot_show'
DEBUG: cliff.commandmanager found command 'backup_create'
DEBUG: cliff.commandmanager found command 'volume_list'
DEBUG: cliff.commandmanager found command 'volume_show'
DEBUG: cliff.commandmanager found command 'snapshot_unset'
DEBUG: cliff.commandmanager found command 'volume_set'
DEBUG: cliff.commandmanager found command 'backup_delete'
DEBUG: cliff.commandmanager found command 'volume_create'
DEBUG: cliff.commandmanager found command 'volume_type_list'
DEBUG: cliff.commandmanager found command 'volume_type_create'
DEBUG: cliff.commandmanager found command 'backup_restore'
DEBUG: cliff.commandmanager found command 'backup_list'
DEBUG: cliff.commandmanager found command 'volume_unset'
DEBUG: cliff.commandmanager found command 'backup_show'
DEBUG: cliff.commandmanager found command 'volume_type_delete'
DEBUG: cliff.commandmanager found command 'volume_type_set'
DEBUG: cliff.commandmanager found command 'snapshot_set'
DEBUG: cliff.commandmanager found command 'snapshot_list'
DEBUG: cliff.commandmanager found command 'snapshot_delete'
DEBUG: cliff.commandmanager found command 'volume_delete'
DEBUG: cliff.commandmanager found command 'snapshot_create'
DEBUG: cliff.commandmanager found command 'volume_type_unset'
DEBUG: openstackclient.shell volume API version 1, cmd group openstack.volume.v1
DEBUG: cliff.commandmanager found command 'project_create'
DEBUG: cliff.commandmanager found command 'project_list'
DEBUG: cliff.commandmanager found command 'ec2_credentials_list'
DEBUG: cliff.commandmanager found command 'service_list'
DEBUG: cliff.commandmanager found command 'role_add'
DEBUG: cliff.commandmanager found command 'project_show'
DEBUG: cliff.commandmanager found command 'role_show'
DEBUG: cliff.commandmanager found command 'endpoint_delete'
DEBUG: cliff.commandmanager found command 'project_set'
DEBUG: cliff.commandmanager found command 'service_create'
DEBUG: cliff.commandmanager found command 'service_show'
DEBUG: cliff.commandmanager found command 'endpoint_show'
DEBUG: cliff.commandmanager found command 'ec2_credentials_create'
DEBUG: cliff.commandmanager found command 'catalog_list'
DEBUG: cliff.commandmanager found command 'ec2_credentials_delete'
DEBUG: cliff.commandmanager found command 'service_delete'
DEBUG: cliff.commandmanager found command 'token_issue'
DEBUG: cliff.commandmanager found command 'project_delete'
DEBUG: cliff.commandmanager found command 'endpoint_list'
DEBUG: cliff.commandmanager found command 'role_list'
DEBUG: cliff.commandmanager found command 'user_create'
DEBUG: cliff.commandmanager found command 'user_delete'
DEBUG: cliff.commandmanager found command 'user_show'
DEBUG: cliff.commandmanager found command 'role_create'
DEBUG: cliff.commandmanager found command 'role_remove'
DEBUG: cliff.commandmanager found command 'role_delete'
DEBUG: cliff.commandmanager found command 'catalog_show'
DEBUG: cliff.commandmanager found command 'token_revoke'
DEBUG: cliff.commandmanager found command 'endpoint_create'
DEBUG: cliff.commandmanager found command 'user_role_list'
DEBUG: cliff.commandmanager found command 'user_set'
DEBUG: cliff.commandmanager found command 'user_list'
DEBUG: cliff.commandmanager found command 'ec2_credentials_show'
DEBUG: openstackclient.shell identity API version 2, cmd group openstack.identity.v2
DEBUG: cliff.commandmanager found command 'object_create'
DEBUG: cliff.commandmanager found command 'object_list'
DEBUG: cliff.commandmanager found command 'object_delete'
DEBUG: cliff.commandmanager found command 'container_list'
DEBUG: cliff.commandmanager found command 'object_show'
DEBUG: cliff.commandmanager found command 'container_delete'
DEBUG: cliff.commandmanager found command 'container_create'
DEBUG: cliff.commandmanager found command 'container_show'
DEBUG: cliff.commandmanager found command 'container_save'
DEBUG: cliff.commandmanager found command 'object_save'
DEBUG: openstackclient.shell object_store API version 1, cmd group openstack.object_store.v1
DEBUG: cliff.commandmanager found command 'management_plan_download'
DEBUG: cliff.commandmanager found command 'management_plan_add_role'
DEBUG: cliff.commandmanager found command 'management_role_list'
DEBUG: cliff.commandmanager found command 'management_plan_delete'
DEBUG: cliff.commandmanager found command 'management_plan_set'
DEBUG: cliff.commandmanager found command 'management_plan_show'
DEBUG: cliff.commandmanager found command 'management_plan_remove_role'
DEBUG: cliff.commandmanager found command 'management_plan_create'
DEBUG: cliff.commandmanager found command 'management_plan_list'
DEBUG: openstackclient.shell management API version 2, cmd group openstack.management.v2
DEBUG: cliff.commandmanager found command 'baremetal_introspection_status'
DEBUG: cliff.commandmanager found command 'baremetal_introspection_start'
DEBUG: openstackclient.shell baremetal-introspection API version 1, cmd group openstack.baremetal_introspection.v1
DEBUG: cliff.commandmanager found command 'overcloud_deploy'
DEBUG: cliff.commandmanager found command 'undercloud_install'
DEBUG: cliff.commandmanager found command 'baremetal_configure_boot'
DEBUG: cliff.commandmanager found command 'baremetal_import'
DEBUG: cliff.commandmanager found command 'overcloud_image_build'
DEBUG: cliff.commandmanager found command 'baremetal_introspection_bulk_status'
DEBUG: cliff.commandmanager found command 'overcloud_image_upload'
DEBUG: cliff.commandmanager found command 'overcloud_validate'
DEBUG: cliff.commandmanager found command 'overcloud_postconfig'
DEBUG: cliff.commandmanager found command 'overcloud_update_stack'
DEBUG: cliff.commandmanager found command 'baremetal_configure_ready_state'
DEBUG: cliff.commandmanager found command 'baremetal_introspection_bulk_start'
DEBUG: cliff.commandmanager found command 'overcloud_node_delete'
DEBUG: openstackclient.shell rdomanager_oscplugin API version 1, cmd group openstack.rdomanager_oscplugin.v1
DEBUG: cliff.commandmanager found command 'baremetal_set'
DEBUG: cliff.commandmanager found command 'baremetal_add_port'
DEBUG: cliff.commandmanager found command 'baremetal_create'
DEBUG: cliff.commandmanager found command 'baremetal_power'
DEBUG: cliff.commandmanager found command 'baremetal_list'
DEBUG: cliff.commandmanager found command 'baremetal_unset'
DEBUG: cliff.commandmanager found command 'baremetal_show'
DEBUG: cliff.commandmanager found command 'baremetal_delete'
DEBUG: cliff.commandmanager found command 'baremetal_reboot'
DEBUG: openstackclient.shell baremetal API version 1.6, cmd group openstack.baremetal.v1
DEBUG: cliff.commandmanager found command 'extension_list'
DEBUG: cliff.commandmanager found command 'quota_set'
DEBUG: cliff.commandmanager found command 'quota_show'
DEBUG: cliff.commandmanager found command 'limits_show'
INFO: openstackclient.shell command: <none> -> rdomanager_oscplugin.v1.overcloud_deploy.DeployOvercloud
DEBUG: openstackclient.api.auth Auth plugin osc_password selected
DEBUG: openstackclient.api.auth auth_type: osc_password
DEBUG: openstackclient.api.auth fetching option os_auth_url
DEBUG: openstackclient.api.auth fetching option os_domain_id
DEBUG: openstackclient.api.auth fetching option os_domain_name
DEBUG: openstackclient.api.auth fetching option os_tenant_id
DEBUG: openstackclient.api.auth fetching option os_tenant_name
DEBUG: openstackclient.api.auth fetching option os_project_id
DEBUG: openstackclient.api.auth fetching option os_project_name
DEBUG: openstackclient.api.auth fetching option os_project_domain_id
DEBUG: openstackclient.api.auth fetching option os_project_domain_name
DEBUG: openstackclient.api.auth fetching option os_trust_id
DEBUG: openstackclient.api.auth fetching option os_user_id
DEBUG: openstackclient.api.auth fetching option os_username
DEBUG: openstackclient.api.auth fetching option os_user_domain_id
DEBUG: openstackclient.api.auth fetching option os_user_domain_name
DEBUG: openstackclient.api.auth fetching option os_password
INFO: openstackclient.common.clientmanager Using auth plugin: osc_password
DEBUG: openstackclient.common.clientmanager Get auth_ref
DEBUG: keystoneclient.session REQ: curl -g -i -X GET http://192.0.2.1:5000/v2.0 -H "Accept: application/json" -H "User-Agent: python-keystoneclient"
INFO: requests.packages.urllib3.connectionpool Starting new HTTP connection (1): 192.0.2.1
DEBUG: requests.packages.urllib3.connectionpool "GET /v2.0 HTTP/1.1" 200 335
DEBUG: keystoneclient.session RESP: [200] content-length: 335 vary: X-Auth-Token connection: keep-alive date: Tue, 23 Jun 2015 11:13:10 GMT content-type: application/json x-openstack-request-id: req-fecfc2a0-6062-49ec-9780-3ca6f3e538b3 
RESP BODY: {"version": {"status": "stable", "updated": "2014-04-17T00:00:00Z", "media-types": [{"base": "application/json", "type": "application/vnd.openstack.identity-v2.0+json"}], "id": "v2.0", "links": [{"href": "http://192.0.2.1:5000/v2.0/", "rel": "self"}, {"href": "http://docs.openstack.org/", "type": "text/html", "rel": "describedby"}]}}

DEBUG: keystoneclient.auth.identity.v2 Making authentication request to http://192.0.2.1:5000/v2.0/tokens
DEBUG: requests.packages.urllib3.connectionpool "POST /v2.0/tokens HTTP/1.1" 200 3541
DEBUG: rdomanager_oscplugin.v1.overcloud_deploy.DeployOvercloud take_action(Namespace(block_storage_flavor='baremetal', block_storage_scale=0, ceph_storage_flavor='baremetal', ceph_storage_scale=0, cinder_lvm=False, compute_flavor='baremetal', compute_scale=1, control_flavor='baremetal', control_scale=1, extra_dir='/home/stack/extra_config', hypervisor_neutron_public_interface='nic1', libvirt_type='qemu', neutron_bridge_mappings='datacentre:br-ex', neutron_disable_tunneling=False, neutron_flat_networks='datacentre', neutron_network_type='gre', neutron_network_vlan_ranges='datacentre:1:1000', neutron_physical_bridge='br-ex', neutron_public_interface='nic1', neutron_tunnel_types='gre', no_proxy='', nodes_json='instackenv.json', ntp_server='', output_dir=None, plan='c6612182-e831-4af9-a37f-bd26ec8b35df', swift_storage_flavor='baremetal', swift_storage_scale=0, tripleo_root='/etc/tripleo', use_tht=False))
DEBUG: rdomanager_oscplugin.plugin Instantiating orchestration client: <class 'heatclient.v1.client.Client'>
DEBUG: keystoneclient.auth.identity.v2 Making authentication request to http://192.0.2.1:5000/v2.0/tokens
DEBUG: requests.packages.urllib3.connectionpool "POST /v2.0/tokens HTTP/1.1" 200 3541
DEBUG: heatclient.common.http curl -g -i -X GET -H 'X-Auth-Token: {SHA1}77ba2c18501491a4ab24a77c7c132bdc58c1efc3' -H 'Content-Type: application/json' -H 'X-Auth-Url: http://192.0.2.1:5000/v2.0' -H 'Accept: application/json' -H 'User-Agent: python-heatclient' http://192.0.2.1:8004/v1/79a4a42048214186bba49797c046c02e/stacks/overcloud
INFO: requests.packages.urllib3.connectionpool Starting new HTTP connection (1): 192.0.2.1
DEBUG: requests.packages.urllib3.connectionpool "GET /v1/79a4a42048214186bba49797c046c02e/stacks/overcloud HTTP/1.1" 404 585
DEBUG: heatclient.common.http 
HTTP/1.1 404 Not Found
date: Tue, 23 Jun 2015 11:13:11 GMT
connection: keep-alive
content-type: application/json; charset=UTF-8
content-length: 585
x-openstack-request-id: req-41201e6f-ef32-4ab4-91f1-ebf083894684

{"explanation": "The resource could not be found.", "code": 404, "error": {"message": "The Stack (overcloud) could not be found.", "traceback": "Traceback (most recent call last):\n\n  File \"/usr/lib/python2.7/site-packages/heat/common/context.py\", line 300, in wrapped\n    return func(self, ctx, *args, **kwargs)\n\n  File \"/usr/lib/python2.7/site-packages/heat/engine/service.py\", line 422, in identify_stack\n    raise exception.StackNotFound(stack_name=stack_name)\n\nStackNotFound: The Stack (overcloud) could not be found.\n", "type": "StackNotFound"}, "title": "Not Found"}

INFO: rdomanager_oscplugin.v1.overcloud_deploy.DeployOvercloud No stack found, will be doing a stack create
DEBUG: openstackclient.compute.client Instantiating compute client: <class 'novaclient.v2.client.Client'>
DEBUG: rdomanager_oscplugin.v1.overcloud_deploy.DeployOvercloud Checking hypervisor stats
DEBUG: keystoneclient.session REQ: curl -g -i -X GET http://192.0.2.1:8774/v2/79a4a42048214186bba49797c046c02e/os-hypervisors/statistics -H "User-Agent: python-novaclient" -H "Accept: application/json" -H "X-Auth-Token: {SHA1}77ba2c18501491a4ab24a77c7c132bdc58c1efc3"
INFO: requests.packages.urllib3.connectionpool Starting new HTTP connection (1): 192.0.2.1
DEBUG: requests.packages.urllib3.connectionpool "GET /v2/79a4a42048214186bba49797c046c02e/os-hypervisors/statistics HTTP/1.1" 200 245
DEBUG: keystoneclient.session RESP: [200] date: Tue, 23 Jun 2015 11:13:11 GMT connection: keep-alive content-type: application/json content-length: 245 x-compute-request-id: req-0f24ef20-55d8-4a0d-9beb-a96a6ba54ed2 
RESP BODY: {"hypervisor_statistics": {"count": 4, "vcpus_used": 0, "local_gb_used": 0, "memory_mb": 0, "current_workload": 0, "vcpus": 0, "running_vms": 0, "free_disk_gb": 0, "disk_available_least": 0, "local_gb": 0, "free_ram_mb": 0, "memory_mb_used": 0}}

DEBUG: openstackclient.network.client Instantiating network client: <class 'neutronclient.v2_0.client.Client'>
DEBUG: openstackclient.network.client Instantiating network api: <class 'neutronclient.v2_0.client.Client'>
ERROR: openstack plan_uuid
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/cliff/app.py", line 295, in run_subcommand
    result = cmd.run(parsed_args)
  File "/usr/lib/python2.7/site-packages/cliff/command.py", line 53, in run
    self.take_action(parsed_args)
  File "/usr/lib/python2.7/site-packages/rdomanager_oscplugin/v1/overcloud_deploy.py", line 562, in take_action
    self._deploy_tuskar(stack, parsed_args)
  File "/usr/lib/python2.7/site-packages/rdomanager_oscplugin/v1/overcloud_deploy.py", line 387, in _deploy_tuskar
    templates = management.plans.templates(management_plan.plan_uuid)
  File "/usr/lib/python2.7/site-packages/tuskarclient/openstack/common/apiclient/base.py", line 501, in __getattr__
    raise AttributeError(k)
AttributeError: plan_uuid
DEBUG: openstackclient.shell clean_up DeployOvercloud
DEBUG: openstackclient.shell got an error: plan_uuid
ERROR: openstackclient.shell Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/openstackclient/shell.py", line 176, in run
    return super(OpenStackShell, self).run(argv)
  File "/usr/lib/python2.7/site-packages/cliff/app.py", line 230, in run
    result = self.run_subcommand(remainder)
  File "/usr/lib/python2.7/site-packages/cliff/app.py", line 295, in run_subcommand
    result = cmd.run(parsed_args)
  File "/usr/lib/python2.7/site-packages/cliff/command.py", line 53, in run
    self.take_action(parsed_args)
  File "/usr/lib/python2.7/site-packages/rdomanager_oscplugin/v1/overcloud_deploy.py", line 562, in take_action
    self._deploy_tuskar(stack, parsed_args)
  File "/usr/lib/python2.7/site-packages/rdomanager_oscplugin/v1/overcloud_deploy.py", line 387, in _deploy_tuskar
    templates = management.plans.templates(management_plan.plan_uuid)
  File "/usr/lib/python2.7/site-packages/tuskarclient/openstack/common/apiclient/base.py", line 501, in __getattr__
    raise AttributeError(k)
AttributeError: plan_uuid

Comment 1 Dougal Matthews 2015-06-23 11:54:44 UTC
Midstream fix https://review.gerrithub.io/#/c/237322/

Comment 2 Dougal Matthews 2015-06-23 12:00:07 UTC
Fixed merged. About to submit downstream.

Comment 4 Leonid Natapov 2015-06-29 07:44:33 UTC
fixed. python-rdomanager-oscplugin-0.0.8-6.el7ost.noarch

Comment 6 errata-xmlrpc 2015-08-05 13:55:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2015:1549


Note You need to log in before you can comment on or make changes to this bug.